<?php
  get_header();

  if (is_category()) {
    $title = "Catégorie : ".single_tag_title('', false);
  }
  elseif (is_tag()) {
    $title = "Etiquette : ".single_tag_title('', false);
  }
  elseif (is_search()) {
    $title = "Recherche : ".get_search_query();
  }
  else {
    $title = 'Le Blog';
  }
?>
  <h1><?php echo $title; ?></h1>
  
  <section>
    <main> 

      <?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
          
        <article class="post">
          <div class="post__thumbnail">
            <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail(); ?></a>
          </div>

          <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>

          <div class="post__metas">
            <span class="post__date"><?php _e('Publié le', 'dysign'); ?> <?php the_time('d F Y'); ?></span> |
            <span class="post__categories"><?php _e('Catégories :', 'dysign'); ?> <?php the_category(); ?></span> | 
            <span class="post__tags"><?php _e('Etiquettes :', 'dysign'); ?> <?php the_tags('',', ',''); ?></span>
          </div>
          
          
          
          <div class="post__content">
            <?php the_excerpt(); ?>
            <p class="post__link"><a href="<?php the_permalink(); ?>"><?php _e("Lire l'article", 'dysign'); ?></a></p>
          </div>
        </article>

      <?php endwhile; endif; ?>
    

    </main>
      
    <?php get_sidebar(); ?>

  </section>

<?php get_footer(); ?>