<?php

//  ========================
//  = Setup theme features =
//  ========================

function dysign_theme_setup() {

  // Text Domain
  load_theme_textdomain('dysign', get_template_directory() . '/languages');

  //  Thumbnails
  add_theme_support('post-thumbnails');
  set_post_thumbnail_size( 800, 300, true );
  add_image_size('single', 1600, 600, true );

  //  Page Title
  add_theme_support('title-tag');

  // Menus
  register_nav_menus(array(
    'main' => 'Menu Principal',
    'footer' => 'Pied de page'
  ));

  // Enable HTML5
  add_theme_support( 'html5', array(
    'search-form',
    'comment-form',
    'comment-list',
    'gallery',
    'caption',
  ));

  // RSS
  add_theme_support('automatic-feed-links');

  // Remove post format
  remove_theme_support('post-formats');

}
add_action( 'after_setup_theme', 'dysign_theme_setup' );


//  ===========================
//  = Load scripts and styles =
//  ===========================

function dysign_add_js_css() {
  
  // CSS
  wp_enqueue_style( 'style-name', get_stylesheet_uri() );

  // JS
  wp_enqueue_script( 'script', get_template_directory_uri().'/js/script.js', array('jquery'), '1.0', true );

}
add_action('wp_enqueue_scripts', 'dysign_add_js_css');



//  ===========
//  = Widgets =
//  ===========

function dysign_widgets_init() {
  $args = array(
    'name' => 'Blog',
    'id' => 'sidebar-blog',
  );

  register_sidebar($args);
}
add_action('widgets_init', 'dysign_widgets_init');



//  =================================
//  = Force second line on Tiny MCE =
//  =================================

function dysign_enhance_editor($in) {

  $in['wordpress_adv_hidden'] = FALSE;

  return $in;
}
add_filter('tiny_mce_before_init', 'dysign_enhance_editor');


//  ==================
//  = Remove XML RPC =
//  ==================

add_filter('xmlrpc_enabled', '__return_false');


//  ===================
//  = Custom Pot Type =
//  ===================

/*
function dysign_create_post_type() {

  $labels = array(
    'name' => 's',
    'all_items' => '',  // affiché dans le sous menu
    'singular_name' => '',
    'add_new_item' => 'Ajouter un',
    'edit_item' => 'Modifier le',
    'menu_name' => 's'
  );

  $args = array(
    'labels' => $labels,
    'public' => true,
    'has_archive' => true,
    'supports' => array('title', 'editor','thumbnail'),
    'menu_position' => 5,
    'menu_icon' => 'dashicons-portfolio', // https://developer.wordpress.org/resource/dashicons/
  );

  register_post_type('#1#',$args);

  // taxonomy
  $labels = array('name' => '#2#');
  register_taxonomy( '#2#', '#1#', array( 'hierarchical' => true, 'public' => true, 'labels' => $labels, 'query_var' => true ));

}
add_action( 'init', 'dysign_create_post_type' );

*/
